/*
 * generated by Xtext 2.17.0
 */
package org.xtext.example.mydsl.ui;

import com.google.inject.Injector;
import org.eclipse.core.runtime.Platform;
import org.eclipse.xtext.ui.guice.AbstractGuiceAwareExecutableExtensionFactory;
import org.osgi.framework.Bundle;
import org.xtext.example.scheme.ui.internal.SchemeActivator;

/**
 * This class was generated. Customizations should only happen in a newly
 * introduced subclass. 
 */
public class SchemeExecutableExtensionFactory extends AbstractGuiceAwareExecutableExtensionFactory {

	@Override
	protected Bundle getBundle() {
		return Platform.getBundle(SchemeActivator.PLUGIN_ID);
	}
	
	@Override
	protected Injector getInjector() {
		SchemeActivator activator = SchemeActivator.getInstance();
		return activator != null ? activator.getInjector(SchemeActivator.ORG_XTEXT_EXAMPLE_MYDSL_SCHEME) : null;
	}

}
